## r-cran-httpuv 1.3.5

=== DESCRIPTION ===
Package: httpuv
Type: Package
Title: HTTP and WebSocket Server Library
Version: 1.3.5
Author: Joe Cheng, Hector Corrada Bravo [ctb], Jeroen Ooms [ctb],
    Winston Chang [ctb]
Copyright: RStudio, Inc.; Joyent, Inc.; Nginx Inc.; Igor Sysoev; Niels
        Provos; Internet Systems Consortium, Inc.; Alexander Chemeris
Maintainer: Joe Cheng <joe@rstudio.com>
Description: Provides low-level socket and protocol support for handling
    HTTP and WebSocket requests directly from within R. It is primarily
    intended as a building block for other packages, rather than making it
    particularly easy to create complete web applications using httpuv alone.
    httpuv is built on top of the libuv and http-parser C libraries, both of
    which were developed by Joyent, Inc. (See LICENSE file for libuv and
    http-parser license information.)
License: GPL-3 | file LICENSE
Depends: R (>= 2.15.1), methods
Imports: Rcpp (>= 0.11.0), utils
LinkingTo: Rcpp
URL: https://github.com/rstudio/httpuv
SystemRequirements: GNU make
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-07-03 21:47:04 UTC; jcheng
Repository: CRAN
Date/Publication: 2017-07-04 07:02:15 UTC

## r-cran-httpuv 1.3.3

=== debian/changelog ===
r-cran-httpuv (1.3.3-3) unstable; urgency=medium

  * debian/copyright: add copyright on debian/*.
  * debian/control: add missing Build-Depends r-cran-rcpp.  Fixes "FTBFS:
    dependency 'Rcpp' is not available".  Thanks
    Aaron M. Ucko and Chris Lamb.  Closes: #814720, #814878
  * debian/control: bump Standards-Version from 3.9.6 to 3.9.7; no other
    changes needed.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 01 Mar 2016 15:35:39 +0100

r-cran-httpuv (1.3.3-2) unstable; urgency=low

  * Initial public release. Closes: #808142
  * debian/control: improve long description.
  * debian/control: add ${misc:Depends} to Depends in order to satisfy
    debhelper, thanks lintian.
  * debian/copyright: completed, see also upstream LICENSE.
  * debian/rules: do not install extra LICENSE file, do not install upstream
    NEWS file twice, fix clean target.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 18 Dec 2015 15:37:18 +0100

r-cran-httpuv (1.3.3-1) unstable; urgency=low

  * Private release, for Tilburg University.

 -- Joost van Baal-Ilić <joostvb+shiny@uvt.nl>  Tue, 10 Nov 2015 09:51:23 +0100

=== debian/control ===
Source: r-cran-httpuv
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Build-Depends: debhelper (>= 9), r-base-dev, r-cran-rcpp, cdbs, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.7
Homepage: https://cran.r-project.org/web/packages/httpuv/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-httpuv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/r-cran-httpuv.git

Package: r-cran-httpuv
Architecture: any
Depends: ${shlibs:Depends}, ${R:Depends}, ${misc:Depends}
Description: GNU R package of HTTP and WebSocket Server Library
 The R package httpuv provides low-level socket and protocol support for
 handling HTTP and WebSocket requests directly from within R. It is primarily
 intended as a building block for other packages, rather than making it
 particularly easy to create complete web applications using httpuv alone.
 httpuv is built on top of the libuv and http-parser C libraries, both of which
 were developed by Joyent, Inc.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# Use hardening flags for linking
include /usr/share/dpkg/buildflags.mk
makeFlags="LDFLAGS=$(LDFLAGS)"

include /usr/share/R/debian/r-cran.mk

common-install-arch::
	rm -vf $(debRlib)/$(cranNameOrig)/LICENSE $(debRlib)/$(cranNameOrig)/NEWS

clean::
	rm -vf src/libuv/libuv.a src/libuv/src/.buildstamp src/libuv/src/unix/.buildstamp

## r-cran-httpuv 1.3.5

=== debian/changelog ===
r-cran-httpuv (1.3.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * debhelper 10
  * cme fix dpkg-control
  * Convert from cdbs to dh-r
  * Canonical homepage URL for CRAN packages

 -- Andreas Tille <tille@debian.org>  Thu, 14 Sep 2017 13:36:54 +0200

=== debian/control ===
Source: r-cran-httpuv
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               r-base-dev,
               r-cran-rcpp,
               dh-r
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-httpuv.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-httpuv.git
Homepage: https://cran.r-project.org/package=httpuv

Package: r-cran-httpuv
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends},
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package of HTTP and WebSocket Server Library
 The R package httpuv provides low-level socket and protocol support for
 handling HTTP and WebSocket requests directly from within R. It is primarily
 intended as a building block for other packages, rather than making it
 particularly easy to create complete web applications using httpuv alone.
 httpuv is built on top of the libuv and http-parser C libraries, both of which
 were developed by Joyent, Inc.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name LICENSE -delete
	find debian -name NEWS -delete

=== debian/watch ===
version=3
opts="uversionmangle=s/-/\./" \
	    http://cran.r-project.org/src/contrib/httpuv_([-\d\.]*)\.tar.gz

## r-cran-httpuv 1.4.5+dfsg

=== debian/changelog ===
r-cran-httpuv (1.4.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sun, 22 Jul 2018 06:14:51 +0200

r-cran-httpuv (1.4.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jul 2018 09:26:38 +0200

r-cran-httpuv (1.4.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jun 2018 22:55:00 +0200

r-cran-httpuv (1.4.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/watch:
     - drop uversionmangle
     - Secure URI
  * Use Debian packaged libuv1-dev
    Closes: #816424
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * Add autopkgtest
  * New Build-Depends: r-cran-promises, r-cran-later (>= 0.7.2)
  * Update Maintainer to R pkg team
  * Use r-cran-bh metapackage

 -- Andreas Tille <tille@debian.org>  Wed, 30 May 2018 13:08:23 +0200

=== debian/control ===
Source: r-cran-httpuv
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.11.0),
               r-cran-promises,
               r-cran-later,
               r-cran-bh,
               libboost-dev,
               libuv1-dev
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httpuv
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httpuv.git
Homepage: https://cran.r-project.org/package=httpuv

Package: r-cran-httpuv
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package of HTTP and WebSocket Server Library
 The R package httpuv provides low-level socket and protocol support for
 handling HTTP and WebSocket requests directly from within R. It is primarily
 intended as a building block for other packages, rather than making it
 particularly easy to create complete web applications using httpuv alone.
 httpuv is built on top of the libuv and http-parser C libraries, both of which
 were developed by Joyent, Inc.

## r-cran-httpuv 1.4.5.1%2Bdfsg

=== debian/changelog ===
r-cran-httpuv (1.4.5.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 11:46:10 +0100

## r-cran-httpuv 1.4.5.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: httpuv
 Type: Package
 Title: HTTP and WebSocket Server Library
-Version: 1.3.5
+Version: 1.4.5.1
 Author: Joe Cheng, Hector Corrada Bravo [ctb], Jeroen Ooms [ctb],
     Winston Chang [ctb]
 Copyright: RStudio, Inc.; Joyent, Inc.; Nginx Inc.; Igor Sysoev; Niels
@@ -14,14 +14,15 @@
     httpuv is built on top of the libuv and http-parser C libraries, both of
     which were developed by Joyent, Inc. (See LICENSE file for libuv and
     http-parser license information.)
-License: GPL-3 | file LICENSE
+License: GPL (>= 2) | file LICENSE
 Depends: R (>= 2.15.1), methods
-Imports: Rcpp (>= 0.11.0), utils
-LinkingTo: Rcpp
+Imports: Rcpp (>= 0.11.0), utils, promises, later (>= 0.7.3)
+LinkingTo: Rcpp, BH, later
 URL: https://github.com/rstudio/httpuv
 SystemRequirements: GNU make
-RoxygenNote: 6.0.1
+RoxygenNote: 6.0.1.9000
+Suggests: testthat, callr
 NeedsCompilation: yes
-Packaged: 2017-07-03 21:47:04 UTC; jcheng
+Packaged: 2018-12-18 19:03:26 UTC; winston
 Repository: CRAN
-Date/Publication: 2017-07-04 07:02:15 UTC
+Date/Publication: 2018-12-18 19:40:03 UTC

=== debian/changelog ===
r-cran-httpuv (1.4.5.1+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 17 Apr 2019 16:05:09 +0200

## r-cran-httpuv 1.5.1+dfsg

=== debian/changelog ===
r-cran-httpuv (1.5.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Joost van Baal-Ilić ]
  * New upstream version
    - debian/control: update Build-Depends: add r-cran-r6, make r-cran-later
      versioned.  (thanks dh-update-R)
    - debian/patches/use_debian_packages_libuv1.patch: refresh

  [ Andreas Tille ]
  * debhelper 12
  * dh-update-R to update Build-Depends
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Test-Depends: r-cran-curl
  * Hack around a problematic test

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jul 2019 14:15:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.11.0),
+               r-cran-rcpp,
+               r-cran-r6,
                r-cran-promises,
-               r-cran-later,
+               r-cran-later (>= 0.8.0),
                r-cran-bh,
                libboost-dev,
                libuv1-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httpuv
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httpuv.git
 Homepage: https://cran.r-project.org/package=httpuv

## r-cran-httpuv 1.5.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
@@ -14,7 +14,7 @@
                r-cran-bh,
                libboost-dev,
                libuv1-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httpuv
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httpuv.git
 Homepage: https://cran.r-project.org/package=httpuv

## r-cran-httpuv 1.5.2+dfsg

=== DESCRIPTION ===
Package: httpuv
Type: Package
Encoding: UTF-8
Title: HTTP and WebSocket Server Library
Version: 1.5.2
Author: Joe Cheng, Hector Corrada Bravo [ctb], Jeroen Ooms [ctb],
    Winston Chang [ctb]
Copyright: RStudio, Inc.; Joyent, Inc.; Nginx Inc.; Igor Sysoev; Niels
        Provos; Internet Systems Consortium, Inc.; Alexander Chemeris;
        Berkeley Software Design; Google Inc.; Sony Mobile
        Communications AB; Alexander Peslyak; Free Software Foundation,
        Inc.; X Consortium; Ben Noordhuis; StrongLoop, Inc.; Saúl
        Ibarra Corretgé; Bert Belder; Fedor Indutny; libuv project;
        Refael Ackermann; Kenneth MacKay; Emergya; Diego Pettenò; xine
        project, The Regents of the University of California, Dariusz
        Dwornikowski
Maintainer: Joe Cheng <joe@rstudio.com>
Description: Provides low-level socket and protocol support for handling
    HTTP and WebSocket requests directly from within R. It is primarily
    intended as a building block for other packages, rather than making it
    particularly easy to create complete web applications using httpuv alone.
    httpuv is built on top of the libuv and http-parser C libraries, both of
    which were developed by Joyent, Inc. (See LICENSE file for libuv and
    http-parser license information.)
License: GPL (>= 2) | file LICENSE
Depends: R (>= 2.15.1)
Imports: Rcpp (>= 0.11.0), utils, R6, promises, later (>= 0.8.0)
LinkingTo: Rcpp, BH, later
URL: https://github.com/rstudio/httpuv
SystemRequirements: GNU make
RoxygenNote: 6.1.1
Suggests: testthat, callr, curl, websocket
Collate: 'RcppExports.R' 'httpuv.R' 'random_port.R' 'server.R'
        'static_paths.R' 'utils.R'
NeedsCompilation: yes
Packaged: 2019-09-11 04:12:10 UTC; jcheng
Repository: CRAN
Date/Publication: 2019-09-11 05:40:02 UTC

=== debian/changelog ===
r-cran-httpuv (1.5.2+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:01:07 +0100

r-cran-httpuv (1.5.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Archive, Repository.
  * Exclude test requiring websocket

 -- Andreas Tille <tille@debian.org>  Thu, 12 Sep 2019 17:47:28 +0200

## r-cran-httpuv 1.5.4+dfsg

=== debian/changelog ===
r-cran-httpuv (1.5.4+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 13 Oct 2020 15:10:42 +0200

r-cran-httpuv (1.5.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 01 Aug 2020 08:46:00 +0200

r-cran-httpuv (1.5.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix DEP-8 tests (Closes: #961405)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 25 May 2020 10:11:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
@@ -14,10 +14,11 @@
                r-cran-bh,
                libboost-dev,
                libuv1-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httpuv
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httpuv.git
 Homepage: https://cran.r-project.org/package=httpuv
+Rules-Requires-Root: no
 
 Package: r-cran-httpuv
 Architecture: any

## r-cran-httpuv 1.5.5+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,10 +2,15 @@
 Type: Package
 Encoding: UTF-8
 Title: HTTP and WebSocket Server Library
-Version: 1.5.2
-Author: Joe Cheng, Hector Corrada Bravo [ctb], Jeroen Ooms [ctb],
-    Winston Chang [ctb]
-Copyright: RStudio, Inc.; Joyent, Inc.; Nginx Inc.; Igor Sysoev; Niels
+Version: 1.5.5
+Authors@R: c(
+    person("Joe", "Cheng", role = c("aut"), email = "joe@rstudio.com"),
+    person("Winston", "Chang", role = c("aut", "cre"), email = "winston@rstudio.com"),
+    person(family = "RStudio, PBC", role = "cph"),
+    person("Hector", "Corrada Bravo", role = "ctb"),
+    person("Jeroen", "Ooms", role = "ctb")
+    )
+Copyright: RStudio, PBC; Joyent, Inc.; Nginx Inc.; Igor Sysoev; Niels
         Provos; Internet Systems Consortium, Inc.; Alexander Chemeris;
         Berkeley Software Design; Google Inc.; Sony Mobile
         Communications AB; Alexander Peslyak; Free Software Foundation,
@@ -14,7 +19,6 @@
         Refael Ackermann; Kenneth MacKay; Emergya; Diego Pettenò; xine
         project, The Regents of the University of California, Dariusz
         Dwornikowski
-Maintainer: Joe Cheng <joe@rstudio.com>
 Description: Provides low-level socket and protocol support for handling
     HTTP and WebSocket requests directly from within R. It is primarily
     intended as a building block for other packages, rather than making it
@@ -28,11 +32,17 @@
 LinkingTo: Rcpp, BH, later
 URL: https://github.com/rstudio/httpuv
 SystemRequirements: GNU make
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 Suggests: testthat, callr, curl, websocket
 Collate: 'RcppExports.R' 'httpuv.R' 'random_port.R' 'server.R'
         'static_paths.R' 'utils.R'
 NeedsCompilation: yes
-Packaged: 2019-09-11 04:12:10 UTC; jcheng
+Packaged: 2021-01-12 21:21:08 UTC; winston
+Author: Joe Cheng [aut],
+  Winston Chang [aut, cre],
+  RStudio, PBC [cph],
+  Hector Corrada Bravo [ctb],
+  Jeroen Ooms [ctb]
+Maintainer: Winston Chang <winston@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-09-11 05:40:02 UTC
+Date/Publication: 2021-01-13 06:40:06 UTC

=== debian/changelog ===
r-cran-httpuv (1.5.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 09:07:37 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-cran-bh,
                libboost-dev,
                libuv1-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httpuv
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httpuv.git
 Homepage: https://cran.r-project.org/package=httpuv

## r-cran-httpuv 1.6.5+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Type: Package
 Encoding: UTF-8
 Title: HTTP and WebSocket Server Library
-Version: 1.5.5
+Version: 1.6.5
 Authors@R: c(
     person("Joe", "Cheng", role = c("aut"), email = "joe@rstudio.com"),
     person("Winston", "Chang", role = c("aut", "cre"), email = "winston@rstudio.com"),
     person(family = "RStudio, PBC", role = "cph"),
     person("Hector", "Corrada Bravo", role = "ctb"),
-    person("Jeroen", "Ooms", role = "ctb")
+    person("Jeroen", "Ooms", role = "ctb"),
+    person("Andrzej", "Krzemienski", role = "cph", comment = "optional.hpp")
     )
 Copyright: RStudio, PBC; Joyent, Inc.; Nginx Inc.; Igor Sysoev; Niels
         Provos; Internet Systems Consortium, Inc.; Alexander Chemeris;
@@ -28,21 +29,22 @@
     http-parser license information.)
 License: GPL (>= 2) | file LICENSE
 Depends: R (>= 2.15.1)
-Imports: Rcpp (>= 0.11.0), utils, R6, promises, later (>= 0.8.0)
-LinkingTo: Rcpp, BH, later
+Imports: Rcpp (>= 1.0.7), utils, R6, promises, later (>= 0.8.0)
+LinkingTo: Rcpp, later
 URL: https://github.com/rstudio/httpuv
-SystemRequirements: GNU make
-RoxygenNote: 7.1.1
+SystemRequirements: GNU make, C++11, zlib
+RoxygenNote: 7.1.2
 Suggests: testthat, callr, curl, websocket
 Collate: 'RcppExports.R' 'httpuv.R' 'random_port.R' 'server.R'
         'static_paths.R' 'utils.R'
 NeedsCompilation: yes
-Packaged: 2021-01-12 21:21:08 UTC; winston
+Packaged: 2022-01-04 21:27:22 UTC; winston
 Author: Joe Cheng [aut],
   Winston Chang [aut, cre],
   RStudio, PBC [cph],
   Hector Corrada Bravo [ctb],
-  Jeroen Ooms [ctb]
+  Jeroen Ooms [ctb],
+  Andrzej Krzemienski [cph] (optional.hpp)
 Maintainer: Winston Chang <winston@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-01-13 06:40:06 UTC
+Date/Publication: 2022-01-05 00:40:11 UTC

=== debian/changelog ===
r-cran-httpuv (1.6.5+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.6.5+dfsg
  * Refresh use_debian_packages_libuv1.patch

 -- Nilesh Patra <nilesh@debian.org>  Tue, 11 Jan 2022 19:26:44 +0530

r-cran-httpuv (1.6.4+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.6.4+dfsg
  * Refresh use_debian_packages_libuv1.patch

 -- Nilesh Patra <nilesh@debian.org>  Fri, 31 Dec 2021 15:35:14 +0530

r-cran-httpuv (1.6.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 13:28:12 +0200

r-cran-httpuv (1.6.2+dfsg-1) unstable; urgency=medium

  * Team upload
  * /etc/mime.types will replace application/x-xcf with image/x-xcf
    Closes: #991420
  * ignore reproducibility test in CI
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Aug 2021 11:41:17 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp,
+               r-cran-rcpp (>= 1.0.7),
                r-cran-r6,
                r-cran-promises,
                r-cran-later (>= 0.8.0),
-               r-cran-bh,
                libboost-dev,
                libuv1-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httpuv
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httpuv.git
 Homepage: https://cran.r-project.org/package=httpuv

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-curl
Restrictions: allow-stderr

## r-cran-httpuv 1.6.9+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Encoding: UTF-8
 Title: HTTP and WebSocket Server Library
-Version: 1.6.5
+Version: 1.6.9
 Authors@R: c(
     person("Joe", "Cheng", role = c("aut"), email = "joe@rstudio.com"),
     person("Winston", "Chang", role = c("aut", "cre"), email = "winston@rstudio.com"),
@@ -32,13 +32,13 @@
 Imports: Rcpp (>= 1.0.7), utils, R6, promises, later (>= 0.8.0)
 LinkingTo: Rcpp, later
 URL: https://github.com/rstudio/httpuv
-SystemRequirements: GNU make, C++11, zlib
-RoxygenNote: 7.1.2
+SystemRequirements: GNU make, zlib
+RoxygenNote: 7.2.3
 Suggests: testthat, callr, curl, websocket
 Collate: 'RcppExports.R' 'httpuv.R' 'random_port.R' 'server.R'
         'static_paths.R' 'utils.R'
 NeedsCompilation: yes
-Packaged: 2022-01-04 21:27:22 UTC; winston
+Packaged: 2023-02-08 20:09:18 UTC; winston
 Author: Joe Cheng [aut],
   Winston Chang [aut, cre],
   RStudio, PBC [cph],
@@ -47,4 +47,4 @@
   Andrzej Krzemienski [cph] (optional.hpp)
 Maintainer: Winston Chang <winston@rstudio.com>
 Repository: CRAN
-Date/Publication: 2022-01-05 00:40:11 UTC
+Date/Publication: 2023-02-14 10:00:06 UTC

=== debian/changelog ===
r-cran-httpuv (1.6.9+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 20 Feb 2023 14:02:00 +0100

r-cran-httpuv (1.6.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2023 13:50:31 +0100

r-cran-httpuv (1.6.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 14:39:33 +0100

r-cran-httpuv (1.6.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 19 Sep 2022 11:15:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-httpuv
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httpuv
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httpuv.git
+Homepage: https://cran.r-project.org/package=httpuv
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -13,11 +17,7 @@
                r-cran-later (>= 0.8.0),
                libboost-dev,
                libuv1-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httpuv
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httpuv.git
-Homepage: https://cran.r-project.org/package=httpuv
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-httpuv
 Architecture: any

## r-cran-httpuv 1.6.11+dfsg

=== debian/changelog ===
r-cran-httpuv (1.6.11+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2023 21:49:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: r-cran-httpuv
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httpuv
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httpuv.git
-Homepage: https://cran.r-project.org/package=httpuv
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 1.0.7),
                r-cran-r6,
                r-cran-promises,
-               r-cran-later (>= 0.8.0),
+               r-cran-later,
                libboost-dev,
                libuv1-dev
-Testsuite: autopkgtest-pkg-r
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httpuv
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httpuv.git
+Homepage: https://cran.r-project.org/package=httpuv
+Rules-Requires-Root: no
 
 Package: r-cran-httpuv
 Architecture: any

## r-cran-httpuv 1.6.14%2Bdfsg

=== DESCRIPTION ===
Type: Package
Package: httpuv
Title: HTTP and WebSocket Server Library
Version: 1.6.14
Authors@R: c(
    person("Joe", "Cheng", , "joe@posit.co", role = "aut"),
    person("Winston", "Chang", , "winston@posit.co", role = c("aut", "cre")),
    person("Posit, PBC", "fnd", role = "cph"),
    person("Hector", "Corrada Bravo", role = "ctb"),
    person("Jeroen", "Ooms", role = "ctb"),
    person("Andrzej", "Krzemienski", role = "cph",
           comment = "optional.hpp"),
    person("libuv project contributors", role = "cph",
           comment = "libuv library, see src/libuv/AUTHORS file"),
    person("Joyent, Inc. and other Node contributors", role = "cph",
           comment = "libuv library, see src/libuv/AUTHORS file; and http-parser library, see src/http-parser/AUTHORS file"),
    person("Niels", "Provos", role = "cph",
           comment = "libuv subcomponent: tree.h"),
    person("Internet Systems Consortium, Inc.", role = "cph",
           comment = "libuv subcomponent: inet_pton and inet_ntop, contained in src/libuv/src/inet.c"),
    person("Alexander", "Chemeris", role = "cph",
           comment = "libuv subcomponent: stdint-msvc2008.h (from msinttypes)"),
    person("Google, Inc.", role = "cph",
           comment = "libuv subcomponent: pthread-fixes.c"),
    person("Sony Mobile Communcations AB", role = "cph",
           comment = "libuv subcomponent: pthread-fixes.c"),
    person("Berkeley Software Design Inc.", role = "cph",
           comment = "libuv subcomponent: android-ifaddrs.h, android-ifaddrs.c"),
    person("Kenneth", "MacKay", role = "cph",
           comment = "libuv subcomponent: android-ifaddrs.h, android-ifaddrs.c"),
    person("Emergya (Cloud4all, FP7/2007-2013, grant agreement no 289016)", role = "cph",
           comment = "libuv subcomponent: android-ifaddrs.h, android-ifaddrs.c"),
    person("Steve", "Reid", role = "aut",
           comment = "SHA-1 implementation"),
    person("James", "Brown", role = "aut",
           comment = "SHA-1 implementation"),
    person("Bob", "Trower", role = "aut",
           comment = "base64 implementation"),
    person("Alexander", "Peslyak", role = "aut",
           comment = "MD5 implementation"),
    person("Trantor Standard Systems", role = "cph",
           comment = "base64 implementation"),
    person("Igor", "Sysoev", role = "cph",
           comment = "http-parser")
  )
Description: Provides low-level socket and protocol support for handling
    HTTP and WebSocket requests directly from within R. It is primarily
    intended as a building block for other packages, rather than making it
    particularly easy to create complete web applications using httpuv
    alone.  httpuv is built on top of the libuv and http-parser C
    libraries, both of which were developed by Joyent, Inc. (See LICENSE
    file for libuv and http-parser license information.)
License: GPL (>= 2) | file LICENSE
URL: https://github.com/rstudio/httpuv
BugReports: https://github.com/rstudio/httpuv/issues
Depends: R (>= 2.15.1)
Imports: later (>= 0.8.0), promises, R6, Rcpp (>= 1.0.7), utils
Suggests: callr, curl, testthat, websocket
LinkingTo: later, Rcpp
Encoding: UTF-8
RoxygenNote: 7.3.1
SystemRequirements: GNU make, zlib
Collate: 'RcppExports.R' 'httpuv.R' 'random_port.R' 'server.R'
        'staticServer.R' 'static_paths.R' 'utils.R'
NeedsCompilation: yes
Packaged: 2024-01-26 22:48:02 UTC; winston
Author: Joe Cheng [aut],
  Winston Chang [aut, cre],
  Posit, PBC fnd [cph],
  Hector Corrada Bravo [ctb],
  Jeroen Ooms [ctb],
  Andrzej Krzemienski [cph] (optional.hpp),
  libuv project contributors [cph] (libuv library, see src/libuv/AUTHORS
    file),
  Joyent, Inc. and other Node contributors [cph] (libuv library, see
    src/libuv/AUTHORS file; and http-parser library, see
    src/http-parser/AUTHORS file),
  Niels Provos [cph] (libuv subcomponent: tree.h),
  Internet Systems Consortium, Inc. [cph] (libuv subcomponent: inet_pton
    and inet_ntop, contained in src/libuv/src/inet.c),
  Alexander Chemeris [cph] (libuv subcomponent: stdint-msvc2008.h (from
    msinttypes)),
  Google, Inc. [cph] (libuv subcomponent: pthread-fixes.c),
  Sony Mobile Communcations AB [cph] (libuv subcomponent:
    pthread-fixes.c),
  Berkeley Software Design Inc. [cph] (libuv subcomponent:
    android-ifaddrs.h, android-ifaddrs.c),
  Kenneth MacKay [cph] (libuv subcomponent: android-ifaddrs.h,
    android-ifaddrs.c),
  Emergya (Cloud4all, FP7/2007-2013, grant agreement no 289016) [cph]
    (libuv subcomponent: android-ifaddrs.h, android-ifaddrs.c),
  Steve Reid [aut] (SHA-1 implementation),
  James Brown [aut] (SHA-1 implementation),
  Bob Trower [aut] (base64 implementation),
  Alexander Peslyak [aut] (MD5 implementation),
  Trantor Standard Systems [cph] (base64 implementation),
  Igor Sysoev [cph] (http-parser)
Maintainer: Winston Chang <winston@posit.co>
Repository: CRAN
Date/Publication: 2024-01-26 23:20:02 UTC

## r-cran-httpuv 1.6.14+dfsg

=== debian/changelog ===
r-cran-httpuv (1.6.14+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:25:00 +1100

r-cran-httpuv (1.6.14+dfsg-1build1) noble; urgency=medium

  * No-change rebuild for libuv t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 16:53:49 +0100

r-cran-httpuv (1.6.14+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 21:44:29 +0100

r-cran-httpuv (1.6.13+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 19:54:17 +0100

r-cran-httpuv (1.6.12+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove *.o files after install (which does not require this step on clean)
    Closes: #1048901
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2023 11:09:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-httpuv
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -7,10 +8,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-later,
+               r-cran-promises,
+               r-cran-r6,
                r-cran-rcpp (>= 1.0.7),
-               r-cran-r6,
-               r-cran-promises,
-               r-cran-later,
                libboost-dev,
                libuv1-dev
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,4 @@
 	dh_install
 	find debian -name LICENSE -delete
 	find debian -name NEWS -delete
+	find src -name "*.o" -delete

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-callr,
        r-cran-curl,
        r-cran-testthat
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
    https://cran.r-project.org/src/contrib/httpuv_([-\d\.]*)\.tar.gz

## r-cran-httpuv 1.6.15+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: httpuv
 Title: HTTP and WebSocket Server Library
-Version: 1.6.14
+Version: 1.6.15
 Authors@R: c(
     person("Joe", "Cheng", , "joe@posit.co", role = "aut"),
     person("Winston", "Chang", , "winston@posit.co", role = c("aut", "cre")),
@@ -63,7 +63,7 @@
 Collate: 'RcppExports.R' 'httpuv.R' 'random_port.R' 'server.R'
         'staticServer.R' 'static_paths.R' 'utils.R'
 NeedsCompilation: yes
-Packaged: 2024-01-26 22:48:02 UTC; winston
+Packaged: 2024-03-25 21:06:08 UTC; cpsievert
 Author: Joe Cheng [aut],
   Winston Chang [aut, cre],
   Posit, PBC fnd [cph],
@@ -97,4 +97,4 @@
   Igor Sysoev [cph] (http-parser)
 Maintainer: Winston Chang <winston@posit.co>
 Repository: CRAN
-Date/Publication: 2024-01-26 23:20:02 UTC
+Date/Publication: 2024-03-26 05:50:06 UTC

=== debian/changelog ===
r-cran-httpuv (1.6.15+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 23 Apr 2024 10:36:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: r-cran-httpuv
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -14,7 +13,7 @@
                r-cran-rcpp (>= 1.0.7),
                libboost-dev,
                libuv1-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httpuv
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httpuv.git
 Homepage: https://cran.r-project.org/package=httpuv

## r-cran-httpuv 1.6.16+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: httpuv
 Title: HTTP and WebSocket Server Library
-Version: 1.6.15
+Version: 1.6.16
 Authors@R: c(
     person("Joe", "Cheng", , "joe@posit.co", role = "aut"),
     person("Winston", "Chang", , "winston@posit.co", role = c("aut", "cre")),
@@ -55,15 +55,15 @@
 BugReports: https://github.com/rstudio/httpuv/issues
 Depends: R (>= 2.15.1)
 Imports: later (>= 0.8.0), promises, R6, Rcpp (>= 1.0.7), utils
-Suggests: callr, curl, testthat, websocket
+Suggests: callr, curl, jsonlite, testthat, websocket
 LinkingTo: later, Rcpp
 Encoding: UTF-8
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 SystemRequirements: GNU make, zlib
 Collate: 'RcppExports.R' 'httpuv.R' 'random_port.R' 'server.R'
         'staticServer.R' 'static_paths.R' 'utils.R'
 NeedsCompilation: yes
-Packaged: 2024-03-25 21:06:08 UTC; cpsievert
+Packaged: 2025-04-15 17:47:41 UTC; cg334
 Author: Joe Cheng [aut],
   Winston Chang [aut, cre],
   Posit, PBC fnd [cph],
@@ -97,4 +97,4 @@
   Igor Sysoev [cph] (http-parser)
 Maintainer: Winston Chang <winston@posit.co>
 Repository: CRAN
-Date/Publication: 2024-03-26 05:50:06 UTC
+Date/Publication: 2025-04-16 08:00:06 UTC

=== debian/changelog ===
r-cran-httpuv (1.6.16+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Refresn debian/patches/use_debian_packages_libuv1.patch
  * and remove mime-type-xcf patch, applied upstream.
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 15:32:19 +0900

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,12 @@
                r-cran-later,
                r-cran-promises,
                r-cran-r6,
-               r-cran-rcpp (>= 1.0.7),
+               r-cran-rcpp,
                libboost-dev,
-               libuv1-dev
-Standards-Version: 4.7.0
+               libuv1-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httpuv
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httpuv.git
 Homepage: https://cran.r-project.org/package=httpuv

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-callr,
        r-cran-curl,
        r-cran-jsonlite,
        r-cran-testthat
Restrictions: allow-stderr
